### Method

# Phosh Shell get_usable_area

#### Declaration [src]

    void
    phosh_shell_get_usable_area (
      PhoshShell* self,
      int* x,
      int* y,
      int* width,
      int* height
    )

#### Description [src]

Gives the usable area in pixels usable by a client on the primary display.

#### Parameters

`x`

  Type: `int*`

  The x coordinate where client usable area starts.

  The argument will be set by the function.
  The argument can be set to `NULL` by the method.

`y`

  Type: `int*`

  The y coordinate where client usable area starts.

  The argument will be set by the function.
  The argument can be set to `NULL` by the method.

`width`

  Type: `int*`

  The width of the client usable area.

  The argument will be set by the function.
  The argument can be set to `NULL` by the method.

`height`

  Type: `int*`

  The height of the client usable area.

  The argument will be set by the function.
  The argument can be set to `NULL` by the method.